Option Explicit On
Imports System.Data.SqlClient
Public Class WINPROFIT_ERP_SYS
    ReadOnly screenWidth = Screen.PrimaryScreen.Bounds.Width
    ReadOnly screenHeight = Screen.PrimaryScreen.Bounds.Height
    ReadOnly conn As New SqlConnection
    ReadOnly da As New SqlDataAdapter
    ReadOnly cmd As New SqlCommand
    ReadOnly ds As New DataSet
    Private Sub ShowNewForm(ByVal sender As Object, ByVal e As EventArgs) Handles NewWindowToolStripMenuItem.Click
        ' 建立子表單的新執行個體。
        ' 將它變成這個 MDI 表單的子表單，然後才顯示。
        Dim ChildForm As New Form With {
            .MdiParent = Me
        }
        m_ChildFormNumber += 1
        ChildForm.Text = "視窗 " & m_ChildFormNumber
        ChildForm.Show()
    End Sub
    Private Sub ExitToolsStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles ExitToolStripMenuItem.Click
        Me.Close()
    End Sub
    Private Sub CascadeToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles CascadeToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.Cascade)
    End Sub
    Private Sub TileVerticalToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles TileVerticalToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.TileVertical)
    End Sub
    Private Sub TileHorizontalToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles TileHorizontalToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.TileHorizontal)
    End Sub
    Private Sub ArrangeIconsToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles ArrangeIconsToolStripMenuItem.Click
        Me.LayoutMdi(MdiLayout.ArrangeIcons)
    End Sub
    Private Sub CloseAllToolStripMenuItem_Click(ByVal sender As Object, ByVal e As EventArgs) Handles CloseAllToolStripMenuItem.Click
        ' 關閉父表單的所有子表單。
        For Each ChildForm As Form In Me.MdiChildren
            ChildForm.Close()
        Next
    End Sub
    Private m_ChildFormNumber As Integer
    Private Sub SHENKANG_MES_SYS_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        '------------------系統登入設定---------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.Text = Me.Text & "  --  " & g_conn_type & "  --  " & gUserName & "  --  系統版本  :" & 版本 : ComboBox3.Text = "主畫面"
        預告訂單控制表ToolStripMenuItem.Visible = False : 預告訂單轉量產訂單ToolStripMenuItem.Visible = False
        '------------------共享文件夾---------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.共享文件夾ToolStripMenuItem.Enabled = CC(82)

        '------------------人事系統管理---------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.人員ID卡系統配置設定ToolStripMenuItem.Enabled = CC(52) : Me.考勤打卡資料補登ToolStripMenuItem.Enabled = CC(51) : Me.人事系統管理ToolStripMenuItem.Enabled = CC(47)
        Me.人員入職資料表ToolStripMenuItem.Enabled = CC(48) : Me.請假核准ToolStripMenuItem.Enabled = CC(50) : Me.人員考勤明細表ToolStripMenuItem.Enabled = CC(80)
        Me.人員行政物料領用記錄表ToolStripMenuItem.Enabled = CC(81)

        '------------------採購系統管理---------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.樣品物料調料單一覽表ToolStripMenuItem.Enabled = CC(56) : Me.一般物料請購單申請ToolStripMenuItem.Enabled = CC(44) : Me.一般物料請購單核准ToolStripMenuItem.Enabled = CC(45)
        Me.一般物料請購單一覽表ToolStripMenuItem.Enabled = CC(46) : Me.一般物料供應商資料管理ToolStripMenuItem.Enabled = CC(42) : Me.供應商管理ToolStripMenuItem.Enabled = CC(35)
        Me.採購系統管理ToolStripMenuItem.Enabled = CC(34)

        '------------------製鞋技術資料管理-----------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.模具開發控制表ToolStripMenuItem.Enabled = CC(62) : Me.樣品物料調料單核準ToolStripMenuItem.Enabled = CC(55) : Me.樣品物料調料單申請ToolStripMenuItem.Enabled = CC(54)
        Me.楦頭規格表ToolStripMenuItem.Enabled = CC(40) : Me.製鞋技術資料管理ToolStripMenuItem.Enabled = CC(38) : Me.部件清單控制表ToolStripMenuItem1.Enabled = CC(39)
        Me.型體控制表ToolStripMenuItem1.Enabled = CC(14) : Me.製鞋技術資料庫除錯1ToolStripMenuItem.Enabled = CC(83) : Me.鞋樣素描控制表ToolStripMenuItem.Enabled = CC(84)
        Me.形體總表MINIWALLToolStripMenuItem.Enabled = CC(85) : Me.底台中皮結構ToolStripMenuItem.Enabled = CC(86)

        '------------------樣品訂單管理---------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.樣品單控制表ToolStripMenuItem.Enabled = CC(22) : Me.樣品訂單管理ToolStripMenuItem.Enabled = CC(13) : Me.樣品單資料庫除錯1ToolStripMenuItem.Enabled = CC(87)
        Me.樣品單控制表SHOWToolStripMenuItem.Enabled = CC(63) : Me.樣品單控制表SALESToolStripMenuItem.Enabled = CC(64) : Me.樣品單控制表CONFIRMATIONToolStripMenuItem.Enabled = CC(65)
        Me.樣品單控制表FITTINGToolStripMenuItem.Enabled = CC(66) : Me.樣品進度表DEVELOPMENTToolStripMenuItem.Enabled = CC(67) : Me.樣品進度表英文版DEVELOPMENTToolStripMenuItem.Enabled = CC(67)
        Me.樣品進度表SHOWToolStripMenuItem.Enabled = CC(68) : Me.樣品進度表英文版SHOWToolStripMenuItem.Enabled = CC(68) : Me.樣品進度表SALESToolStripMenuItem.Enabled = CC(69)
        Me.樣品進度表英文版SALESToolStripMenuItem.Enabled = CC(69) : Me.樣品進度表CONFIRMATIONToolStripMenuItem.Enabled = CC(70) : Me.樣品進度表英文版CONFIRMATIONToolStripMenuItem.Enabled = CC(70)
        Me.樣品進度表TITTINGToolStripMenuItem.Enabled = CC(71) : Me.樣品INVOICEDEVELOPMENTToolStripMenuItem.Enabled = CC(72) : Me.樣品INVOICESHOWToolStripMenuItem.Enabled = CC(73)
        Me.樣品INVOICESALESToolStripMenuItem.Enabled = CC(74) : Me.樣品INVOICECONFIRMATIONToolStripMenuItem.Enabled = CC(75) : Me.樣品標籤批量列印DEVELOPMENTToolStripMenuItem.Enabled = CC(76)
        Me.樣品標籤批量列印SHOWToolStripMenuItem.Enabled = CC(77) : Me.樣品標籤批量列印SALESToolStripMenuItem.Enabled = CC(78) : Me.樣品標籤批量列印CONFIRMATIONToolStripMenuItem.Enabled = CC(79)
        Me.METOO專用PAGE導入ToolStripMenuItem.Enabled = CC(88) : Me.樣品進度表FORMETOOPAG導入ToolStripMenuItem.Enabled = CC(89)

        '------------------量產訂單管理---------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.DELIVERYADDRESS資料管理ToolStripMenuItem.Enabled = CC(60) : Me.FACTORY資料管理ToolStripMenuItem.Enabled = CC(59) : Me.量產訂單控制表ToolStripMenuItem.Enabled = CC(58)
        Me.預告訂單轉量產訂單ToolStripMenuItem.Enabled = CC(57) : Me.量產訂單管理ToolStripMenuItem.Enabled = CC(21) : Me.預告訂單控制表ToolStripMenuItem.Enabled = CC(17)
        Me.量產訂單輸入ToolStripMenuItem.Enabled = CC(90) : Me.量產進度表ToolStripMenuItem.Enabled = CC(91) : Me.量產CXL訂單紀錄表ToolStripMenuItem.Enabled = CC(92)
        Me.量產出貨明細表ToolStripMenuItem.Enabled = CC(93)

        '------------------品保系統管理---------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.品保系統管理ToolStripMenuItem.Enabled = CC(61) : Me.試穿訂料授權書ToolStripMenuItem1.Enabled = CC(53) : Me.驗貨報告圖片導入資料庫ToolStripMenuItem.Enabled = CC(94)
        Me.驗貨報告資料庫ToolStripMenuItem.Enabled = CC(95)

        '------------------財務系統管理---------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.零用金支付對帳表ToolStripMenuItem.Enabled = CC(43) : Me.零用金支付單列印ToolStripMenuItem4.Enabled = CC(31) : Me.財務系統管理ToolStripMenuItem.Enabled = CC(27)
        Me.零用金支付申請ToolStripMenuItem1.Enabled = CC(28) : Me.零用金支付審核ToolStripMenuItem2.Enabled = CC(29) : Me.零用金支付核准ToolStripMenuItem3.Enabled = CC(30)

        '------------------成本系統管理---------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.樣品報價控制表ToolStripMenuItem.Enabled = CC(33) : Me.歷史單價紀錄表ToolStripMenuItem.Enabled = CC(5) : Me.成本系統管理ToolStripMenuItem.Enabled = CC(4)

        '------------------圖片資料庫管理-------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.楦頭圖片資料庫ToolStripMenuItem.Enabled = CC(37) : Me.楦頭圖片導入資料庫ToolStripMenuItem.Enabled = CC(36) : Me.鞋型圖片資料庫ToolStripMenuItem.Enabled = CC(11)
        Me.鞋型圖片導入資料庫ToolStripMenuItem.Enabled = CC(10) : Me.圖片資料庫管理ToolStripMenuItem.Enabled = CC(9)

        '------------------資料庫系統管理---------------------------------------------------------------------------------------------------------------------------------------------------------------
        Me.簽名檔管理ToolStripMenuItem.Enabled = CC(32) : Me.系統編碼規則1ToolStripMenuItem.Enabled = CC(26) : Me.資料庫系統管理ToolStripMenuItem.Enabled = CC(0)
        Me.系統使用者管理ToolStripMenuItem.Enabled = CC(1) : Me.FTP資料夾管理ToolStripMenuItem.Enabled = CC(2)

    End Sub
    Private Sub SHENKANG_MES_SYS_Unload(sender As Object, e As EventArgs) Handles MyBase.Closing
        LoginForm1.Close()
    End Sub
    Private Sub ComboBox3_SelectedIndexChanged(sender As Object, e As EventArgs) Handles ComboBox3.SelectedIndexChanged
        If ComboBox3.Text = "主畫面" Then
            If screenWidth = 2240 And screenHeight = 1260 Then : Me.BackgroundImage = My.Resources._1980X1010
            ElseIf screenWidth = 1920 And screenHeight = 1080 Then : Me.BackgroundImage = My.Resources._1980X1010
            ElseIf screenWidth = 1366 And screenHeight = 768 Then : Me.BackgroundImage = My.Resources._1366X719
            ElseIf screenWidth = 1440 And screenHeight = 900 Then : Me.BackgroundImage = My.Resources._1440X828
            ElseIf screenWidth = 1280 And screenHeight = 1024 Then : Me.BackgroundImage = My.Resources._1280X956
            ElseIf screenWidth = 1600 And screenHeight = 900 Then : Me.BackgroundImage = My.Resources._1601X896
            End If
            Me.BackgroundImageLayout = 3
        ElseIf ComboBox3.Text = "系統運作流程邏輯01" Then
            'Me.BackgroundImage = My.Resources.系統運作流程邏輯01
            Me.BackgroundImageLayout = 3
        End If
    End Sub
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        PA = "" : 計算機.Show() : 計算機.BringToFront()
    End Sub
    Private Sub 個人帳號管理ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 個人帳號管理ToolStripMenuItem.Click
        PA = "" : 個人帳號管理.Show() : 個人帳號管理.BringToFront()
    End Sub
    Private Sub FTP資料夾管理ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles FTP資料夾管理ToolStripMenuItem.Click
        PA = "" : FTP資料夾管理.Show() : FTP資料夾管理.BringToFront()
    End Sub
    Private Sub 系統執行檔版本管理ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 系統執行檔版本管理ToolStripMenuItem.Click
        PA = "" : 系統執行檔版本管理.Show() : 系統執行檔版本管理.BringToFront()
    End Sub
    Private Sub 系統使用者管理ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 系統使用者管理ToolStripMenuItem.Click
        PA = "" : 系統使用者管理.Show() : 系統使用者管理.BringToFront()
    End Sub
    Private Sub 歷史單價紀錄表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 歷史單價紀錄表ToolStripMenuItem.Click
        PA = "" : 歷史單價紀錄表.Show() : 歷史單價紀錄表.BringToFront()
    End Sub
    Private Sub 鞋型圖片導入資料庫ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 鞋型圖片導入資料庫ToolStripMenuItem.Click
        PA = "" : 鞋型圖片導入資料庫.Show() : 鞋型圖片導入資料庫.BringToFront()
    End Sub
    Private Sub 鞋型圖片資料庫ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 鞋型圖片資料庫ToolStripMenuItem.Click
        PA = "" : 鞋型圖片資料庫.Show() : 鞋型圖片資料庫.BringToFront()
    End Sub
    Private Sub 預告訂單控制表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 預告訂單控制表ToolStripMenuItem.Click
        PA = "" : 預告訂單控制表.Show() : 預告訂單控制表.BringToFront()
    End Sub
    Private Sub 系統編碼規則1ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 系統編碼規則1ToolStripMenuItem.Click
        PA = "" : 系統編碼規則_1.Show() : 系統編碼規則_1.BringToFront()
    End Sub
    Private Sub 零用金支付申請ToolStripMenuItem1_Click(sender As Object, e As EventArgs) Handles 零用金支付申請ToolStripMenuItem1.Click
        PA = "" : 零用金支付申請.Show() : 零用金支付申請.BringToFront()
    End Sub
    Private Sub 零用金支付審核ToolStripMenuItem2_Click(sender As Object, e As EventArgs) Handles 零用金支付審核ToolStripMenuItem2.Click
        PA = "" : 零用金支付審核.Show() : 零用金支付審核.BringToFront()
    End Sub
    Private Sub 零用金支付核准ToolStripMenuItem3_Click(sender As Object, e As EventArgs) Handles 零用金支付核准ToolStripMenuItem3.Click
        PA = "" : 零用金支付核准.Show() : 零用金支付核准.BringToFront()
    End Sub
    Private Sub 零用金支付單列印ToolStripMenuItem4_Click(sender As Object, e As EventArgs) Handles 零用金支付單列印ToolStripMenuItem4.Click
        PA = "" : 零用金支付單一覽表.Show() : 零用金支付單一覽表.BringToFront()
    End Sub
    Private Sub 簽名檔管理ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 簽名檔管理ToolStripMenuItem.Click
        PA = "" : 簽名檔管理.Show() : 簽名檔管理.BringToFront()
    End Sub
    Private Sub 樣品報價控制表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品報價控制表ToolStripMenuItem.Click
        PA = "" : 樣品報價控制表.Show() : 樣品報價控制表.BringToFront()
    End Sub
    Private Sub SKETCHToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles SKETCHToolStripMenuItem.Click
        PA = "" : 共享文件夾_ME_SK.Show() : 共享文件夾_ME_SK.BringToFront()
    End Sub
    Private Sub PROTOTYPEToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles PROTOTYPEToolStripMenuItem.Click
        PA = "" : 共享文件夾_ME_PR.Show() : 共享文件夾_ME_PR.BringToFront()
    End Sub
    Private Sub SALESSAMPLEToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles SALESSAMPLEToolStripMenuItem.Click
        PA = "" : 共享文件夾_ME_SA.Show() : 共享文件夾_ME_SA.BringToFront()
    End Sub
    Private Sub ORIGINALSAMPLEToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles ORIGINALSAMPLEToolStripMenuItem.Click
        PA = "" : 共享文件夾_ME_OR.Show() : 共享文件夾_ME_OR.BringToFront()
    End Sub
    Private Sub OTHERSToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles OTHERSToolStripMenuItem.Click
        PA = "" : 共享文件夾_ME_OT.Show() : 共享文件夾_ME_OT.BringToFront()
    End Sub
    Private Sub SKETCHToolStripMenuItem1_Click(sender As Object, e As EventArgs) Handles SKETCHToolStripMenuItem1.Click
        PA = "" : 共享文件夾_AD_SK.Show() : 共享文件夾_AD_SK.BringToFront()
    End Sub
    Private Sub PROTOTYPEToolStripMenuItem1_Click(sender As Object, e As EventArgs) Handles PROTOTYPEToolStripMenuItem1.Click
        PA = "" : 共享文件夾_AD_PR.Show() : 共享文件夾_AD_PR.BringToFront()
    End Sub
    Private Sub SALESSAMPLEToolStripMenuItem1_Click(sender As Object, e As EventArgs) Handles SALESSAMPLEToolStripMenuItem1.Click
        PA = "" : 共享文件夾_AD_SA.Show() : 共享文件夾_AD_SA.BringToFront()
    End Sub
    Private Sub ORIGINALToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles ORIGINALToolStripMenuItem.Click
        PA = "" : 共享文件夾_AD_OR.Show() : 共享文件夾_AD_OR.BringToFront()
    End Sub
    Private Sub OTHERSToolStripMenuItem1_Click(sender As Object, e As EventArgs) Handles OTHERSToolStripMenuItem1.Click
        PA = "" : 共享文件夾_AD_OT.Show() : 共享文件夾_AD_OT.BringToFront()
    End Sub
    Private Sub CAPACITYToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles CAPACITYToolStripMenuItem.Click
        PA = "" : 共享文件夾_MB_CA.Show() : 共享文件夾_MB_CA.BringToFront()
    End Sub
    Private Sub COMMERCIALAZITIONREPORTToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles COMMERCIALAZITIONREPORTToolStripMenuItem.Click
        PA = "" : 共享文件夾_MP_CA.Show() : 共享文件夾_MP_CA.BringToFront()
    End Sub
    Private Sub OFFICIALORDERSToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles OFFICIALORDERSToolStripMenuItem.Click
        PA = "" : 共享文件夾_MB_OO.Show() : 共享文件夾_MB_OO.BringToFront()
    End Sub
    Private Sub PACKINGToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles PACKINGToolStripMenuItem.Click
        PA = "" : 共享文件夾_MB_PA.Show() : 共享文件夾_MB_PA.BringToFront()
    End Sub
    Private Sub PRODUCTIONSCHEDULEToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles PRODUCTIONSCHEDULEToolStripMenuItem.Click
        PA = "" : 共享文件夾_MB_PR.Show() : 共享文件夾_MB_PR.BringToFront()
    End Sub
    Private Sub OTHERSToolStripMenuItem2_Click(sender As Object, e As EventArgs) Handles OTHERSToolStripMenuItem2.Click
        PA = "" : 共享文件夾_MB_OT.Show() : 共享文件夾_MB_OT.BringToFront()
    End Sub
    Private Sub FITTINGToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles FITTINGToolStripMenuItem.Click
        PA = "" : 共享文件夾_MP_FI.Show() : 共享文件夾_MP_FI.BringToFront()
    End Sub
    Private Sub PRODUCTIONSPECToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles PRODUCTIONSPECToolStripMenuItem.Click
        PA = "" : 共享文件夾_MP_PR.Show() : 共享文件夾_MP_PR.BringToFront()
    End Sub
    Private Sub OTHERSToolStripMenuItem3_Click(sender As Object, e As EventArgs) Handles OTHERSToolStripMenuItem3.Click
        PA = "" : 共享文件夾_MP_OT.Show() : 共享文件夾_MP_OT.BringToFront()
    End Sub
    Private Sub 型體控制表ToolStripMenuItem1_Click(sender As Object, e As EventArgs) Handles 型體控制表ToolStripMenuItem1.Click
        PA = "" : 型體控制表.ShowDialog()
    End Sub
    Private Sub 供應商管理ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 供應商管理ToolStripMenuItem.Click
        PA = "" : 供應商管理_製鞋樣品.Show() : 供應商管理_製鞋樣品.BringToFront()
    End Sub
    Private Sub 部件清單控制表ToolStripMenuItem1_Click(sender As Object, e As EventArgs) Handles 部件清單控制表ToolStripMenuItem1.Click
        PA = "" : 部件清單控制表.Show() : 部件清單控制表.BringToFront()
    End Sub
    Private Sub 楦頭規格表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 楦頭規格表ToolStripMenuItem.Click
        PA = "" : 楦頭規格表.Show() : 楦頭規格表.BringToFront()
    End Sub
    Private Sub 楦頭圖片導入資料庫ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 楦頭圖片導入資料庫ToolStripMenuItem.Click
        PA = "" : 楦頭圖片導入資料庫.Show() : 楦頭圖片導入資料庫.BringToFront()
    End Sub
    Private Sub 楦頭圖片資料庫ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 楦頭圖片資料庫ToolStripMenuItem.Click
        PA = "" : 楦頭圖片資料庫.Show() : 楦頭圖片資料庫.BringToFront()
    End Sub
    Private Sub 一般物料供應商資料管理ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 一般物料供應商資料管理ToolStripMenuItem.Click
        PA = "" : 供應商_一般物料.Show() : 供應商_一般物料.BringToFront()
    End Sub
    Private Sub 零用金支付對帳表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 零用金支付對帳表ToolStripMenuItem.Click
        PA = "" : 零用金支付_對帳表.Show() : 零用金支付_對帳表.BringToFront()
    End Sub
    Private Sub 一般物料請購單申請ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 一般物料請購單申請ToolStripMenuItem.Click
        PA = "" : 一般物料請購單申請.Show() : 一般物料請購單申請.BringToFront()
    End Sub
    Private Sub 一般物料請購單核准ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 一般物料請購單核准ToolStripMenuItem.Click
        PA = "" : 一般物料請購單核准.Show() : 一般物料請購單核准.BringToFront()
    End Sub
    Private Sub 一般物料請購單一覽表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 一般物料請購單一覽表ToolStripMenuItem.Click
        PA = "" : 一般物料請購單一覽表.Show() : 一般物料請購單一覽表.BringToFront()
    End Sub
    Private Sub 人員考勤明細表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 人員考勤明細表ToolStripMenuItem.Click
        PA = "" : 人員考勤明細表.Show() : 人員考勤明細表.BringToFront()
    End Sub
    Private Sub 請假申請ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 請假申請ToolStripMenuItem.Click
        PA = "" : 人事請假申請.Show() : 人事請假申請.BringToFront()
    End Sub
    Private Sub 人員入職資料表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 人員入職資料表ToolStripMenuItem.Click
        PA = "" : 人員入職資料表.Show() : 人員入職資料表.BringToFront()
    End Sub
    Private Sub 請假核准ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 請假核准ToolStripMenuItem.Click
        PA = "" : 人事請假核准.Show() : 人事請假核准.BringToFront()
    End Sub
    Private Sub 人員ID卡系統配置設定ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 人員ID卡系統配置設定ToolStripMenuItem.Click
        PA = "" : 人員ID卡系統配置設定.Show() : 人員ID卡系統配置設定.BringToFront()
    End Sub
    Private Sub 考勤打卡資料補登ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 考勤打卡資料補登ToolStripMenuItem.Click
        PA = "" : 考勤打卡資料補登.Show() : 考勤打卡資料補登.BringToFront()
    End Sub
    Private Sub 樣品物料調料單申請ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品物料調料單申請ToolStripMenuItem.Click
        PA = "" : 樣品物料調料單申請.Show() : 樣品物料調料單申請.BringToFront()
    End Sub
    Private Sub 樣品物料調料單核準ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品物料調料單核準ToolStripMenuItem.Click
        PA = "" : 樣品物料調料單核準.Show() : 樣品物料調料單核準.BringToFront()
    End Sub
    Private Sub 樣品物料調料單一覽表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品物料調料單一覽表ToolStripMenuItem.Click
        PA = "" : 樣品物料調料單一覽表.Show() : 樣品物料調料單一覽表.BringToFront()
    End Sub
    Private Sub 預告訂單轉量產訂單ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 預告訂單轉量產訂單ToolStripMenuItem.Click
        PA = "" : 預告訂單轉量產訂單.Show() : 預告訂單轉量產訂單.BringToFront()
    End Sub
    Private Sub FACTORY資料管理ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles FACTORY資料管理ToolStripMenuItem.Click
        PA = "" : FACTORY_資料管理.Show() : FACTORY_資料管理.BringToFront()
    End Sub
    Private Sub DELIVERYADDRESS資料管理ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles DELIVERYADDRESS資料管理ToolStripMenuItem.Click
        PA = "" : DELIVERY_ADDRESS__資料管理.Show() : DELIVERY_ADDRESS__資料管理.BringToFront()
    End Sub
    Private Sub 量產訂單控制表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 量產訂單控制表ToolStripMenuItem.Click
        PA = "" : 量產訂單控制表.Show() : 量產訂單控制表.BringToFront()
    End Sub
    Private Sub 模具開發控制表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 模具開發控制表ToolStripMenuItem.Click
        PA = "" : 模具開發控制表.Show() : 模具開發控制表.BringToFront()
    End Sub
    Private Sub 試穿訂料授權書ToolStripMenuItem1_Click(sender As Object, e As EventArgs) Handles 試穿訂料授權書ToolStripMenuItem1.Click
        PA = "" : 試穿_訂料授權書.Show() : 試穿_訂料授權書.BringToFront()
    End Sub
    Private Sub 樣品單控制表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品單控制表ToolStripMenuItem.Click
        PA = "" : 樣品進度表分類3 = "DEVELOPMENT" : 樣品備註 = ""
        樣品單控制表.Close() : 樣品單控制表.Show() : 樣品單控制表.BringToFront()
    End Sub
    Private Sub 樣品單控制表SHOWToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品單控制表SHOWToolStripMenuItem.Click
        PA = "" : 樣品進度表分類3 = "SHOW" : 樣品備註 = ""
        樣品單控制表.Close() : 樣品單控制表.Show() : 樣品單控制表.BringToFront()
    End Sub
    Private Sub 樣品單控制表SALESToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品單控制表SALESToolStripMenuItem.Click
        PA = "" : 樣品進度表分類3 = "SALES" : 樣品備註 = ""
        樣品單控制表.Close() : 樣品單控制表.Show() : 樣品單控制表.BringToFront()
    End Sub
    Private Sub 樣品單控制表CONFIRMATIONToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品單控制表CONFIRMATIONToolStripMenuItem.Click
        PA = "" : 樣品進度表分類3 = "CONFIRMATION" : 樣品備註 = "AUDREY  6M (STYLE NAME： 型体更改）LEATHER UPPER BALANCE MANMADE MATERIAL MADE IN CHINA "
        樣品單控制表.Close() : 樣品單控制表.Show() : 樣品單控制表.BringToFront()
    End Sub
    Private Sub 樣品單控制表FITTINGToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品單控制表FITTINGToolStripMenuItem.Click
        PA = "" : 樣品進度表分類3 = "FITTING" : 樣品備註 = "AUDREY  6M (STYLE NAME： 型体更改）LEATHER UPPER BALANCE MANMADE MATERIAL MADE IN CHINA "
        樣品單控制表.Close() : 樣品單控制表.Show() : 樣品單控制表.BringToFront()
    End Sub
    Private Sub 鞋樣素描控制表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 鞋樣素描控制表ToolStripMenuItem.Click
        PA = "" : 鞋樣素描控制表.Show() : 鞋樣素描控制表.BringToFront()
    End Sub
    Private Sub 形體總表MINIWALLToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 形體總表MINIWALLToolStripMenuItem.Click
        PA = "" : 形體總表MINI_WALL.Show() : 形體總表MINI_WALL.BringToFront()
    End Sub
    Private Sub 人員行政物料領用記錄表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 人員行政物料領用記錄表ToolStripMenuItem.Click
        PA = "" : 人員行政物料領用記錄表.Show() : 人員行政物料領用記錄表.BringToFront()
    End Sub
    Private Sub METOO專用PAGE導入ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles METOO專用PAGE導入ToolStripMenuItem.Click
        PA = "" : METOO專用PAGE導入.Show() : METOO專用PAGE導入.BringToFront()
    End Sub
    Private Sub 樣品進度表FORMETOOPAG導入ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品進度表FORMETOOPAG導入ToolStripMenuItem.Click
        PA = "" : 樣品進度表FOR_METOO_PAG導入.Show() : 樣品進度表FOR_METOO_PAG導入.BringToFront()
    End Sub
    Private Sub 樣品單資料庫除錯1ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品單資料庫除錯1ToolStripMenuItem.Click
        PA = "" : 樣品單資料庫除錯_1.Show() : 樣品單資料庫除錯_1.BringToFront()
    End Sub
    Private Sub 樣品進度表DEVELOPMENTToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品進度表DEVELOPMENTToolStripMenuItem.Click
        PA = "" : 樣品進度表分類1 = "DEVELOPMENT" : 樣品進度表.Close() : 樣品進度表.Show() : 樣品進度表.BringToFront()
    End Sub
    Private Sub 樣品進度表SHOWToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品進度表SHOWToolStripMenuItem.Click
        PA = "" : 樣品進度表分類1 = "SHOW" : 樣品進度表.Close() : 樣品進度表.Show() : 樣品進度表.BringToFront()
    End Sub
    Private Sub 樣品進度表SALESToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品進度表SALESToolStripMenuItem.Click
        PA = "" : 樣品進度表分類1 = "SALES" : 樣品進度表.Close() : 樣品進度表.Show() : 樣品進度表.BringToFront()
    End Sub
    Private Sub 樣品進度表CONFIRMATIONToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品進度表CONFIRMATIONToolStripMenuItem.Click
        PA = "" : 樣品進度表分類1 = "CONFIRMATION" : 樣品進度表.Close() : 樣品進度表.Show() : 樣品進度表.BringToFront()
    End Sub
    Private Sub 樣品進度表TITTINGToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品進度表TITTINGToolStripMenuItem.Click
        PA = "" : 樣品進度表分類1 = "FITTING" : 樣品進度表.Close() : 樣品進度表.Show() : 樣品進度表.BringToFront()
    End Sub
    Private Sub 樣品進度表英文版DEVELOPMENTToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品進度表英文版DEVELOPMENTToolStripMenuItem.Click
        PA = "" : 樣品進度表分類2 = "DEVELOPMENT" : 樣品進度表_英文版_.Close() : 樣品進度表_英文版_.Show() : 樣品進度表_英文版_.BringToFront()
    End Sub
    Private Sub 樣品進度表英文版SHOWToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品進度表英文版SHOWToolStripMenuItem.Click
        PA = "" : 樣品進度表分類2 = "SHOW" : 樣品進度表_英文版_.Close() : 樣品進度表_英文版_.Show() : 樣品進度表_英文版_.BringToFront()
    End Sub
    Private Sub 樣品進度表英文版SALESToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品進度表英文版SALESToolStripMenuItem.Click
        PA = "" : 樣品進度表分類2 = "SALES" : 樣品進度表_英文版_.Close() : 樣品進度表_英文版_.Show() : 樣品進度表_英文版_.BringToFront()
    End Sub
    Private Sub 樣品進度表英文版CONFIRMATIONToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品進度表英文版CONFIRMATIONToolStripMenuItem.Click
        PA = "" : 樣品進度表分類2 = "CONFIRMATION" : 樣品進度表_英文版_.Close() : 樣品進度表_英文版_.Show() : 樣品進度表_英文版_.BringToFront()
    End Sub
    Private Sub 量產CXL訂單紀錄表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 量產CXL訂單紀錄表ToolStripMenuItem.Click
        PA = "" : CXL訂單紀錄表.Show() : CXL訂單紀錄表.BringToFront()
    End Sub
    Private Sub 驗貨報告圖片導入資料庫ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 驗貨報告圖片導入資料庫ToolStripMenuItem.Click
        PA = "" : 驗貨報告圖片導入資料庫.Show() : 驗貨報告圖片導入資料庫.BringToFront()
    End Sub
    Private Sub 驗貨報告資料庫ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 驗貨報告資料庫ToolStripMenuItem.Click
        PA = "" : 驗貨報告資料庫.Show() : 驗貨報告資料庫.BringToFront()
    End Sub
    Private Sub 量產進度表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 量產進度表ToolStripMenuItem.Click
        PA = "" : 量產生產進度表.Show() : 量產生產進度表.BringToFront()
    End Sub
    Private Sub 樣品INVOICEDEVELOPMENTToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品INVOICEDEVELOPMENTToolStripMenuItem.Click
        PA = "" : 樣品進度表分類4 = "DEVELOPMENT" : 樣品INVOICE.Close() : 樣品INVOICE.Show() : 樣品INVOICE.BringToFront()
    End Sub
    Private Sub 樣品INVOICESHOWToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品INVOICESHOWToolStripMenuItem.Click
        PA = "" : 樣品進度表分類4 = "SHOW" : 樣品INVOICE.Close() : 樣品INVOICE.Show() : 樣品INVOICE.BringToFront()
    End Sub
    Private Sub 樣品INVOICESALESToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品INVOICESALESToolStripMenuItem.Click
        PA = "" : 樣品進度表分類4 = "SALES" : 樣品INVOICE.Close() : 樣品INVOICE.Show() : 樣品INVOICE.BringToFront()
    End Sub
    Private Sub 樣品INVOICECONFIRMATIONToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品INVOICECONFIRMATIONToolStripMenuItem.Click
        PA = "" : 樣品進度表分類4 = "CONFIRMATION" : 樣品INVOICE.Close() : 樣品INVOICE.Show() : 樣品INVOICE.BringToFront()
    End Sub
    Private Sub 樣品標籤批量列印DEVELOPMENTToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品標籤批量列印DEVELOPMENTToolStripMenuItem.Click
        PA = "" : 樣品進度表分類5 = "DEVELOPMENT" : 樣品標籤批量列印.Close() : 樣品標籤批量列印.Show() : 樣品標籤批量列印.BringToFront()
    End Sub
    Private Sub 樣品標籤批量列印SHOWToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品標籤批量列印SHOWToolStripMenuItem.Click
        PA = "" : 樣品進度表分類5 = "SHOW" : 樣品標籤批量列印.Close() : 樣品標籤批量列印.Show() : 樣品標籤批量列印.BringToFront()
    End Sub
    Private Sub 樣品標籤批量列印SALESToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品標籤批量列印SALESToolStripMenuItem.Click
        PA = "" : 樣品進度表分類5 = "SALES" : 樣品標籤批量列印.Close() : 樣品標籤批量列印.Show() : 樣品標籤批量列印.BringToFront()
    End Sub
    Private Sub 樣品標籤批量列印CONFIRMATIONToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 樣品標籤批量列印CONFIRMATIONToolStripMenuItem.Click
        PA = "" : 樣品進度表分類5 = "CONFIRMATION" : 樣品標籤批量列印.Close() : 樣品標籤批量列印.Show() : 樣品標籤批量列印.BringToFront()
    End Sub
    Private Sub 量產出貨明細表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 量產出貨明細表ToolStripMenuItem.Click
        PA = "" : 量產出貨明細表.Show() : 量產出貨明細表.BringToFront()
    End Sub
    Private Sub 底台中皮結構ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 底台中皮結構ToolStripMenuItem.Click
        PA = "" : 中皮結構_中底作法.ShowDialog()
    End Sub
    Private Sub 製鞋技術資料庫除錯1ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 製鞋技術資料庫除錯1ToolStripMenuItem.Click
        PA = "" : 製鞋技術資料庫狀態.Show() : 製鞋技術資料庫狀態.BringToFront()
    End Sub
    Private Sub 量產訂單輸入ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 量產訂單輸入ToolStripMenuItem.Click
        PA = "" : 量產訂單輸入.Show() : 量產訂單輸入.BringToFront()
    End Sub






    Private Sub 訂單價格利潤明細表ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 訂單價格利潤明細表ToolStripMenuItem.Click
        PA = "" : 訂單價格利潤明細表.Show() : 訂單價格利潤明細表.BringToFront()
    End Sub
    Private Sub 成本資料庫管理ToolStripMenuItem_Click(sender As Object, e As EventArgs) Handles 成本資料庫管理ToolStripMenuItem.Click
        PA = "" : 成本資料庫管理.Show() : 成本資料庫管理.BringToFront()
    End Sub
End Class
